Subject: Re: bug#26011: 26.0.50; tramp should respect large-file-warning-threshold
From: Michael Albinus <[email-masked]>
To: Robert Marshall <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Mar 2017 17:38:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Robert Marshall <[email-masked]> writes:

Hi Robert,

> Yes that's better thank you, you still get the transient error if I
> continue (my file was 4Gig) but I guess it's too late to do anything
> else by the time it gets there

Once you confirm to copy/rename a huge file, its contents is loaded into
a temporary buffer. And yes, if it's too large, memory is exhausted.
There's nothing Tramp could know in advance, and prevent it.

If you handle regularly such huge files, Tramp's "scp" method is
superiour to "ssh".

I've pushed the patch to both Emacs and Tramp repositories, closing the bug.

> Robert

Best regards, Michael.